/*--------------------------------------*/
/*--------- BODY -----------------------*/
/*--------------------------------------*/

body {
    background-color: #f0f0f0;
}






/*--------------------------------------*/
/*--------- NAVBAR ---------------------*/
/*--------------------------------------*/

.navbar .dropdown-menu, .navbar.navbar-default .dropdown-menu {
    border-radius: 0 0 2px 2px;
}

.navbar-collapse-top .navbar-right .dropdown-menu li a {
    padding: 6px 12px;
}

.navbar-collapse-top .navbar-right .dropdown-menu li.divider {
    padding: 0;
    margin: 0
}

.navbar-collapse-top .navbar-right .dropdown-menu li a i {
    margin: 3px 4px 0 0;
    font-size: 16px;
    vertical-align: top;
}





/*--------------------------------------*/
/*--------- APP / SITE -----------------*/
/*--------------------------------------*/

a:hover, a:focus {
    /*color: #B8B8B8 !important;*/
    text-decoration: none;
    /*outline: none;*/
}

section .card {
    margin-top: 0;
    background-color: #fff;
    box-shadow: 2px 2px 8px 2px rgba(0, 0, 0, 0.2);
    padding: 1px 20px 20px 20px;
    border-radius: 2px;
}

.btn {
    text-transform: none;
    outline: none !important;
    border-radius: 2px;
    border: 1px solid transparent;
}
.btn:focus {
    border: 1px dotted rgba(0,0,0,.5);
}

footer.footer {
    /*background-color: #fff;*/
    box-shadow: inset 0 8px 8px -8px #999;
    padding: 10px;
}

footer.footer .copyright {
    font-size: 11px;
}

footer .text-muted {
    color: #515151;
}





/*--------------------------------------*/
/*--------- FORM LABEL -----------------*/
/*--------------------------------------*/

.form-group .control-label {
    color: rgb(96, 125, 139);
    font-size: 12px;
}





/*--------------------------------------*/
/*--------- FORM CONTAINERS ------------*/
/*--------------------------------------*/

.form-control--container {
    border-radius: 2px 2px 0 0;
    transition: all ease .3s;
    box-shadow: 0 0 0 rgba(0, 0, 0, 0.0), 1px 0px 3px -1px rgba(0, 0, 0, 0.3), 0 1px 5px 0 rgba(0, 0, 0, 0.15);
}

.form-control--container.form-control--container-is-active {
    box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.1), 1px 0px 3px -1px rgba(0, 0, 0, 0.3), 0 1px 5px 0 rgba(0, 0, 0, 0.15);
}

.form-control--container--textarea:after {
    content: " ";
    border-top: 10px solid #ddd;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    -webkit-transform: rotate(-45deg);
    z-index: 2000;
    opacity: .8;
    position: absolute;
    right: 3px;
    bottom: 14px;
    transition: border ease .3s;
    pointer-events: none;
}

.form-control--container--textarea.form-control--container-is-active:after {
    border-top: 10px solid #009587;
}

.form-control--container-is-active + .mdl-button.mdl-button--primary.mdl-button--icon.mdl-button--file {
    box-shadow: 0 2px 2px 1px rgba(189, 189, 189, .3);
}





/*--------------------------------------*/
/*--------- FORM FIELDS ----------------*/
/*--------------------------------------*/

textarea, textarea.form-control, input.form-control, input[type=text], input[type=password], input[type=email], input[type=number], [type=text].form-control, [type=password].form-control, [type=email].form-control, [type=tel].form-control, [contenteditable].form-control {
    padding: 6px 12px;
}

textarea, textarea.form-control, input.form-control, input[type=text], input[type=password], input[type=email], input[type=number], [type=text].form-control, [type=password].form-control, [type=email].form-control, [type=tel].form-control, [contenteditable].form-control {
    border: none;
    -webkit-appearance: none;
    -webkit-box-shadow: inset 0 -1px 0 #dddddd;
    box-shadow: inset 0 -1px 0 #dddddd;
    font-size: 14px;
    padding: 0 0 0 10px;
    background-color: #ffffff;
}

textarea[disabled], textarea.form-control[disabled], input.form-control[disabled], input[type=text][disabled], input[type=password][disabled], input[type=email][disabled], input[type=number][disabled], [type=text].form-control[disabled], [type=password].form-control[disabled], [type=email].form-control[disabled], [type=tel].form-control[disabled], [contenteditable].form-control[disabled], textarea[readonly], textarea.form-control[readonly], input.form-control[readonly], input[type=text][readonly], input[type=password][readonly], input[type=email][readonly], input[type=number][readonly], [type=text].form-control[readonly], [type=password].form-control[readonly], [type=email].form-control[readonly], [type=tel].form-control[readonly], [contenteditable].form-control[readonly] {
    color: rgba(0, 0, 0, .3) !important;
    box-shadow: none !important;
    border-radius: 0 !important;
}

textarea:focus, textarea.form-control:focus, input.form-control:focus, input[type=text]:focus, input[type=password]:focus, input[type=email]:focus, input[type=number]:focus, [type=text].form-control:focus, [type=password].form-control:focus, [type=email].form-control:focus, [type=tel].form-control:focus, [contenteditable].form-control:focus {
    /* -webkit-box-shadow: inset 0 -2px 0 #009587, 1px 1px 4px 1px rgba(0, 0, 0, 0.2); */
    /* box-shadow: inset 0 -2px 0 #009587, 1px 1px 4px 2px rgba(0, 0, 0, 0.2); */
    border-radius: 2px 2px 0 0;
    box-shadow: inset 0 -1px 0 #009587, 0 -0 4px 1px rgba(0,0,0,0.2);
}

textarea.form-control {
    padding: 6px 8px !important;
}

.form-control:focus {
    border: none;
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, 0.6);
}





/*--------------------------------------*/
/*--------- CUSTOM COMPONENTS ----------*/
/*--------------------------------------*/

.form-select--wraper input[type="text"] {
    width: calc(100% - 36px);
    display: inline-block;
}

.form-file--wraper input[type="text"] {
    width: 100%;
    display: inline-block;
    color: rgba(0, 0, 0, .3);
}

.form-file--wraper .form-control--bar {
    width: 100%;
}

.form-file--wraper input[type="file"] {
    cursor: pointer;
    height: 100%;
    right: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 300px;
    z-index: 4;
}
.mdl-button.mdl-button--primary.mdl-button--icon.mdl-button--file {
    position: absolute;
    top: 26px;
    right: 10px;
    height: 35px;
    background-color: #DDD;
    border-radius: 0 2px 0 0;
    width: 33px;
    color: #1F546E;
    transition: all ease .3s;
    box-shadow: 0 2px 2px 1px rgba(189, 189, 189, .45);
}





/*--------------------------------------*/
/*--------- INPUT FORM BOTTOM ----------*/
/*--------------------------------------*/

.form-control--bar {
    position: relative;
    display: block;
    width: 100%;
    margin: 0;
}
.form-control--bar:before, .form-control--bar:after {
    content: '';
    height: 1px;
    width: 0;
    bottom: 1px;
    position: absolute;
    background: #009587;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
}
.form-control--bar:before {
    left: 50%;
}
.form-control--bar:after {
    right: 50%;
}
.form-control:focus ~ .form-control--bar:before, .form-control:focus ~ .form-control--bar:after {
    width: 50%;
}
.form-control:read-only ~ .form-control--bar:before, .form-control:read-only ~ .form-control--bar:after {
    width: 0;
}






/*--------------------------------------*/
/*--------- AUTOCOMPLETE ---------------*/
/*--------------------------------------*/

.radio label, .radio-inline label, .checkbox label, .checkbox-inline label {
    padding: 0 35px 0 10px;
}

input[type="checkbox"]:after, .checkbox input[type="checkbox"]:after, .checkbox-inline input[type="checkbox"]:after {
    border: 1px solid #DDD;
}

input[type="checkbox"]:checked:after, .checkbox input[type="checkbox"]:checked:after, .checkbox-inline input[type="checkbox"]:checked:after {
    background-color: #009587;
    border-color: #074E71;
}

.checkbox small {
    font-size: 11px;
}










/*--------------------------------------*/
/*--------- AUTOCOMPLETE ---------------*/
/*--------------------------------------*/

md-autocomplete .form-control--container {
    width: 100%;
    margin: 2px;
}
.form-group .md-whiteframe-1dp, .form-group .md-whiteframe-z1 {
    box-shadow: none;
}

md-autocomplete-wrap input {
    box-shadow: rgb(221, 221, 221) 0px -1px 0px inset !important;
    background-color: rgb(255, 255, 255) !important;
}

md-autocomplete-wrap input:focus {
    box-shadow: inset 0 -1px 0 #009587 !important;
}

md-autocomplete-wrap .form-control--bar {
    position: static;
    display: block;
    width: 0;
}

md-autocomplete-wrap button {
    display: none;
}

.md-virtual-repeat-container.md-autocomplete-suggestions-container {
    min-height: 200px;
}

.md-virtual-repeat-container.md-autocomplete-suggestions-container.md-not-found {
    min-height: 0;
}





/*--------------------------------------*/
/*--------- DIALOG ---------------------*/
/*--------------------------------------*/

.bootstrap-dialog-title {
    font-size: 18px;
}

